#!/usr/local/bin/php -q
<?php
/* get site-specific information */ 
require( "../site.inc" );

/* Required for saveWikiTopic() */
include( $_SITE["mirrordir"] . "edit.inc" );
include( $_SITE["mirrordir"] . "view.inc" );
include( $_SITE["mirrordir"] . "web_util.inc" );
include( $_SITE["mirrordir"] . "web_format.inc" );

function insertFileIntoDatabase( $topicName, $filename ) {
	global $_SITE;

	/* open file and read it and close it */
	$file = fopen( $filename, "r" );
	if( ! $file ) { die( "Unable to open $filename." ); }
	$text = fread( $file, filesize( $filename ) );
	fclose( $file );
	
	/* Ready the text for the insertion. */
	$text = addslashes(addslashes( $text ));
		
	/* Do the import; could change "Main" to "Imported"... */
	saveWikiTopic( $topicName, "Main", $text, "Imported from another Wiki." ); 
	} /* end insertFileIntoDatabase() */

function recursiveSuck( $dirname ) {
	if( ! is_dir( $dirname ) ) { die( "$dirname not a directory." ); }

	$dirhandle = opendir( $dirname );
	while( $filename = readdir( $dirhandle ) ) {
	        if( $filename == "." || $filename == ".." ) { continue; }
		if( preg_match( "/.*\.txt/", $filename ) ) {
			$topicName = preg_replace( "/(.*)\.txt/", "\\1", $filename );
	        	print( "importing $dirname$filename...\n" );
			insertFileIntoDatabase( $topicName, $dirname . $filename );
			}
		} /* end directory read */
	closedir( $dirhandle );
	} /* end recursiveSuck */

recursiveSuck( "../import/" );

?>
